> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Reports

Returns a paginated list of the Reports associated with your team,
or an empty array if none have been created.

## Query Parameters

## Returns

Returns a paginated list of Report objects.

```bash cURL theme={null}
curl "https://production.methodfi.com/reports?from_date=2024-03-13&to_date=2024-03-15" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const reports = await method.reports.list({
  from_date: '2024-03-13',
  to_date: '2024-03-15',
});
```

```python Python theme={null}
reports = method.reports.list({
  'from_date': '2024-03-13',
  'to_date': '2024-03-15'
})
```

```json theme={null}
{
  "data": [
    {
      "id": "rpt_cj2mkA3hFyHT5",
      "type": "payments.created.current",
      "url": "https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download",
      "status": "completed",
      "metadata": null,
      "created_at": "2021-08-25T23:18:05.261Z",
      "updated_at": "2021-08-25T23:18:05.261Z"
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.